LVM Versions & Virtualization

 
SOLVED
Go to solution
Galen Benson
Frequent Advisor

LVM Versions & Virtualization

Good Day Gurus,

We're getting ready to create volume groups on an rx3600 with hpux 11.31 and have run into the question of which version of LVM to use. In my research regarding this versioning, I've read that version 1.0 is the only one that will support downlevel versions of the OS and we're planning on virtualizing part of the OS to hpux 11.23. (because of application issues)

My question is if we setup our drives with LVM version 2.0, will our 11.23 instance recognize the drives or should I build the volume groups as version 1.0?

Not able to find a document that'll help me understand this better.

Thanks in advance for your time.
Galen
3 REPLIES 3
Torsten.
Acclaimed Contributor
Solution

Re: LVM Versions & Virtualization

If you want to access real disks you need to use version1, if you use LVs on host to present them to the guest as virtual drives, it doesn't matter.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Galen Benson
Frequent Advisor

Re: LVM Versions & Virtualization

Thanks Torsten
Galen Benson
Frequent Advisor

Re: LVM Versions & Virtualization

If you have a link that could help me understand this a bit more, I'd really appreciate it.